#include <stdio.h>
#include <string.h>
#include <avr/pgmspace.h>

#include "T6963.h"

static unsigned char __attribute__ ((progmem)) LCDIntro[6][40] = {   
{"                      ____  ____  ____ \0"},
{"   __  _    _  ____  (_  _)( ___)(  _ \\\0"},
{"  /__\\( \\  / )(  _ \\   )(   )__)  )   /\0"},
{" /(__)\\\\ \\/ /  )   /  (__) (____)(_)\\_)\0"},
{"(__)(__)\\  /  (_)\\_)                   \0"},
{"         \\/                            \0"}
};

void delay(unsigned int time) {
	unsigned long j;
	
	for (j=0; j<time*10; j++)
		asm volatile ("nop");	
}

		
int main(void)
	{
	unsigned char xpos=0, ypos=1, tmp;
	unsigned int i;
	unsigned char tmpl[40];
	

	DisplayOn();
	ClearScreen();
	CursorOFF();
	for (i=0; i<6; i++) {
		strcpy_P(tmpl,LCDIntro[i]);
		LCDText(tmpl,0,i+1);
	}
	
	for (i=0; i<100; i++)
		delay(10000);

ClearScreen();
	LCDText_P (PSTR("T6963 Displ. geht"),0,0);
	CursorON();

		for(;;)
		{
		}
	}
	